.blocks-list-editor {
  display: flex;
  flex-direction: column;
}
.blocks-list-editor :global(.pr-form-object__property) {
  display: flex;
  flex-direction: column;
}

.field {
  display: flex;
  flex-direction: column;
  border-radius: 0.9rem;

  &-block-form-container {
    display: flex;
    flex-direction: row;
    align-items: flex-start;
    border-radius: 0.9rem;
    margin: 1rem 0;
    position: relative;
  }

  &-options-button {
    position: absolute;
    right: 1.25rem;
    margin-left: 1rem;
    margin-top: 1.25rem;
  }
}

.add-button {
  &-container {
    display: flex;
    justify-content: center;
    position: relative;
  }

  &-decoration {
    position: absolute;
    left: 50%;
    top: 50%;
    border-top: 1px solid #bfd7ff;
    z-index: 0;
  }

  display: flex;
  flex-direction: row;
  position: relative;
  align-items: center;
  overflow: hidden;
  white-space: nowrap;
  border-radius: 0.3rem;
  background-color: var(--pr-accent-color);
  padding: 0.2rem;
  transition: all 0.2s ease-in;

  &-icon {
    flex: none;
    color: var(--pr-accent-color-contrast);
    width: 1.6rem;
  }

  &-content {
    margin: 0 0.5rem;
    color: var(--pr-accent-color-contrast);
  }
}

.blocks-list {
  &-ctn {
    display: flex;
    flex-direction: column;
    position: relative;
    max-width: 350px;
  }
  display: flex;
  flex-direction: column;
  max-height: 50vh;
  max-width: 350px;
  width: 100vw;
  overflow: auto;
  &-group {
    &-header {
      display: flex;
      flex-direction: row;
      align-items: center;
      justify-content: center;
      margin: 0.5rem;
      &-icon {
        width: 1.4rem;
        height: 1.4rem;
        margin-right: 0.5rem;

        svg {
          width: 100%;
          height: 100%;
        }
      }
      &-title {
        font-weight: 700;
      }
    }
  }

  &-blocks {
    display: flex;
    flex-direction: column;
  }
  &-block {
    display: flex;
    flex-direction: column;
    text-align: left;
    border: 1px solid var(--pr-border-color);
    border-radius: 0.3rem;
    padding: 0.3rem 1rem;
    margin: 0.5rem;

    &-name {
      font-weight: 600;
    }
    &-description {
      white-space: nowrap;
      text-overflow: ellipsis;
      overflow: hidden;
      max-width: 100%;
    }
    &-photo {
      background-color: white;
    }
  }
}
:global(.ant-popover-placement-top) .blocks-list-ctn {
  padding-bottom: 3rem;
}
:global(.ant-popover-placement-top) .blocks-search {
  position: absolute;
  bottom: 0;
}

.block-form {
  &-title {
    display: flex;
    flex-direction: row;
    align-items: center;
  }
  &-id {
    flex: 1;
    opacity: 0.4;
    margin-left: 1rem;
  }
}
.css-editor {
  display: flex;
  width: 100%;
  align-items: center;
  justify-content: space-between;

  &-label {
    font-weight: bold;
  }

  &-info {
    margin-left: 1rem;
    color: var(--pr-accent-color);
  }

  &-delete-btn {
    display: flex;
    align-items: center;
    padding-right: 1rem;
    color: gray;

    &:hover,
    &:active {
      color: var(--pr-warning-color);
    }
  }

  &-content {
    display: flex;
    flex-direction: column;
    min-height: 200px;
    flex: 1;
  }
}
